Subject: Re: [PATCH v2 00/14] rebase: reset_head() related fixes and improvements

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Jan 2022 09:37:08 -0800

Phillip Wood <[email-masked]> writes:

> So the theme started out as "convert 'rebase -i' to use reset_head()
> and stop forking 'git checkout'" which I thought would be one to two 
> patches. Then I started looking at the code and realized that
> reset_head() needed some work before we could use it for 'rebase -i'
> and that work ended up dominating the series. I've updated the cover
> letter as you suggested.

Great.

It helped me summarizing the topic in the "What's cooking" report.

 Use an internal call to reset_head() helper function instead of
 spawning "git checkout" in "rebase", and update code paths that are
 involved in the change.

Perhaps I'd rename the topic branch, but perhaps not.

Thanks.